# win_webpicmd – Installs packages using Web Platform Installer command-line

- Synopsis

- Parameters

- Notes

- See Also

- Examples

- Status

## Synopsis

- Installs packages using Web Platform Installer command-line (http://www.iis.net/learn/install/web-platform-installer/web-platform-installer-v4-command-line-webpicmdexe-rtw-release).

- Must be installed and present in PATH (see win_chocolatey module; ‘webpicmd’ is the package name, and you must install ‘lessmsi’ first too)?

- Install IIS first (see win_feature module).

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
name string / required |  | Name of the package to be installed.

## Notes

Note

- Accepts EULAs and suppresses reboot - you will need to check manage reboots yourself (see win_reboot module)

## See Also

See also

win_package – Installs/uninstalls an installable package

  The official documentation on the win_package module.

## Examples

    - name: Install URLRewrite2.
      win_webpicmd:
        name: URLRewrite2

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Peter Mounce (@petemounce)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.